import * as constant from './constant'

export function getValueForKey(obj: any) {
  let arr = []
  for (let k in obj) {
    arr.push({
      label: obj[k],
      value: k
    })
  }
  return arr
}

// 岗位管理
export const positionArray = getValueForKey(constant.position)

// 员工状态
export const employeeArray = getValueForKey(constant.employee)

// 办学性质
export const schoolNatureArray = getValueForKey(constant.schoolNature)

// 学年制
export const schoolSystemArray = getValueForKey(constant.schoolSystem)

// 支付服务提供方
export const openTypeArray = getValueForKey(constant.openType)

// 客户端类型
export const clientTypeArray = getValueForKey(constant.clientType)

// 协议类型
export const protocolTypeArray = getValueForKey(constant.protocolType)

// 消息组
export const messageGroupArray = getValueForKey(constant.messageGroup)

// 平台建议
export const suggestionTypeArray = getValueForKey(constant.suggestionType)

// 内容分类
export const contentCategoryArray = getValueForKey(constant.contentCategory)

// 乐团类型
export const musicTypeArray = getValueForKey(constant.musicType)
export const orchestraTypesArray = getValueForKey(constant.orchestraTypes)

// 乐团状态
export const musicStatusArray = getValueForKey(constant.musicStatus)

// 播放类型
export const audioTypeArray = getValueForKey(constant.audioType)

// 伴奏类型
export const accompanimentTypeArray = getValueForKey(constant.accompanimentType)

// 课程类型
export const courseEmnuArray = getValueForKey(constant.courseEmnu)

// 课程类型
export const courseStatusArray = getValueForKey(constant.courseStatus)

// 学生状态
export const studentStatusEmnuArray = getValueForKey(constant.studentStatusEmnu)

// 订单状态
export const orderStatusArray = getValueForKey(constant.orderStatus)

// 订单类型
export const orderTypeArray = getValueForKey(constant.orderType)

// 审核交易状态
export const reportStatusArray = getValueForKey(constant.reportStatus)

// 交易状态
export const tradeStatusArray = getValueForKey(constant.tradeStatus)

// 审核状态
export const refundStatusArray = getValueForKey(constant.refundStatus)

// 学生考勤状态
export const attendanceStatusArray = getValueForKey(constant.attendanceStatus)

// 老师考勤状态  teacherAttendanceStatus
export const ateacherAttendanceStatusArray = getValueForKey(constant.teacherAttendanceStatus)

// 审核状态
export const authStatusArray = getValueForKey(constant.authStatus)

// 结算状态
export const withdrawalStatusArray = getValueForKey(constant.withdrawalStatus)
